Bug 428605 - iprutils started on machines with no ipr
iprutils started on machines with no ipr
Product: Fedora
Classification: Fedora
Component: iprutils (Show other bugs)
powerpc Linux
low Severity low
: ---
: ---
Assigned To: Roman Rakus
Fedora Extras Quality Assurance
: Reopened
: 483347 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2008-01-13 23:26 EST by Olof Johansson
Modified: 2014-01-12 19:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-06-28 06:31:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Olof Johansson 2008-01-13 23:26:41 EST
Description of problem:
iprutils start a number of processes even on machines without ipr:

root      2077  0.0  0.0   2272   492 ?        Ss   06:00   0:00 /sbin/iprinit
root      2084  0.0  0.0   2272   492 ?        Ss   06:00   0:00 /sbin/iprupdate
root      2092  0.0  0.0  10340   324 ?        Ss   06:00   0:00 /sbin/iprdump

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Boot Fedora PPC on a machine with iprutils installed but no ipr controller.
2. ps | grep ipr
Actual results:
iprinit, iprdump and iprupdate are all running

Expected results:
None of them should be unless the adapters exist on the system

Additional info:
I also noticed that if you run 'init 3' / 'init 5' a few times to debug gdm
stuff, every time you cycle through another set of ipr daemons are started. Over
time that could end up being quite a few.
Comment 1 Roman Rakus 2008-04-10 07:41:42 EDT
At first I will answer for you additional info. It is done by bad init scripts.
These init scripts are fixed in iprutils-2_2_8-4_fc9. It is possible that this
also fix problem you reported. Unfortunately I can't test it. Can you please try
that new package and tell if the problem remains?
Comment 2 Roman Rakus 2008-04-25 04:30:10 EDT
Changing status to NEEDINFO. Olof Johansson can you please check that new
iprutils-2_2_8-4_fc9? Thank you.
Comment 3 Bug Zapper 2008-05-14 00:46:00 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 4 Roman Rakus 2008-07-02 09:12:37 EDT
My point of view is, why to install iprutils if you don't have ipr controller? 
Comment 5 Olof Johansson 2008-07-02 09:33:36 EDT
Because it's installed by default. How about researching a problem before
closing a bug?! Ktnxbye.
Comment 6 Roman Rakus 2009-02-16 11:40:46 EST
*** Bug 483347 has been marked as a duplicate of this bug. ***
Comment 7 Roman Rakus 2009-02-16 12:11:18 EST
I think this should be tested during installation. Probably in anaconda. When there will be no adapter, don't install iprutils or don't start initscripts by default. User can later install iprutils or turn on starting scripts (later, when there will be some adapter). Since first version must be done in anaconda and second version can be done in iprutils rpm.
Comment 8 Bug Zapper 2009-06-09 05:25:20 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
Comment 9 Bug Zapper 2010-04-27 07:53:04 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 10 Bug Zapper 2010-06-28 06:31:40 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.